Subject: [Bitcoin-development] SPV clients and relaying double spends

From: Aaron Voisine <[email-masked]>
Date: Thu, 25 Sep 2014 19:02:03 -0700

There was some discussion of having nodes relay double-spends in order
to alert the network about double spend attempts.

A lot more users will be using SPV wallets in the future, and one of
the techniques SPV clients use to judge how likely a transaction is to
be confirmed is if it propagates across the network. I wonder if and
when double-spend relaying is introduced, if nodes should also send
BIP61 reject messages or something along those lines to indicate which
transactions those nodes believe to be invalid, but are relaying
anyway.

This would be subject to sybil attacks, as is monitoring propagation,
however it does still increase the cost of performing a 0 confirmation
double spend attack on an SPV client above just relaying double-spends
without indicating if a node believes the transaction to be valid.

Aaron Voisine
breadwallet.com